/*
 * IReportChartTypeDescription.java
 *
 * Created on 15 de Maio de 2004, 19:05
 */

package it.businesslogic.ireport.chart;

import java.awt.Image;



/**
 * Chart type description.
 * @author  Egon
 */
public interface IReportChartTypeDescription {
    
public String getName(int chartType);
public String getDescription(int chartType);
public Image getThumbImage(int chartType);
public int getDataSetType(int chartType);
public boolean hasXAxis(int chartType);
public boolean hasYAxis(int chartType);
public boolean hasZAxis(int chartType);

    
}
